Skip to main content

unable to build lwuit SVN

3 replies [Last post]
dafo75
Offline
Joined: 2011-02-16
Points: 0

Hi

I have checked out lwuit from trunk, installed netbeans 6.9.1 and installed the blackberry plugin.

But im unable to build the SVN project.

i try to build UI_RIM but i get error on UI:

Error preverifying class com.sun.lwuit.animations.Animation
java/lang/NoClassDefFoundError: java/lang/Object

in UI_rim my platform.home is a path to JDE 5.0, in UI my platform.home is a path to java ME 3.0.

Should i configure something more?

why is there none documentation about this?

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
dafo75
Offline
Joined: 2011-02-16
Points: 0

Found it. I blame on that im a newbie to netbeans.

For more newbies: right click the project, choose properties.

In the top of project configuration, choose newOS.

doh!

dafo75
Offline
Joined: 2011-02-16
Points: 0

I managed to build UI by overriding the preverify target:

<target name="preverify" depends="obfuscate,lwuit-build">
<property name="buildsystem.baton" value="${preverify.classes.dir}"/> </target>

but i cant get touch support on blackberry to work.

i have changed touch to touch=true in project.properties and i uncommented filter.excludes but touch still not works on 9930(havent tested 9800 that have touch in lwuit 1.5).

dafo75
Offline
Joined: 2011-02-16
Points: 0

I'm using java me SDK 3.0 and not WTK 2.5.2, can this be a problem?